html{
scroll-behavior: smooth
}

body{
    text-align: center;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin: 0;
    padding: 0;
}

h2{
    padding-top: 5%;
    font-size: xx-large;
}

a{
    margin: 10px;
    color: black;
    text-decoration: none;
}

/*HEADER*/
header{
    width: 100%;
    margin: 0;
    padding: 0;
    background-image: url(./images/font-test1.jpg);
    /*background: linear-gradient(rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.3)), url(./images/fond-bois.jpg);*/
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

header>h1{
    font-size: 400%;
    margin: 10%;
    margin-bottom: 3%;
    text-align: right;
    margin-right: 45%;
    color: rgb(17, 17, 17);
    
}
header>h2{
    text-align: right;
    font-size: 350%;
    margin: 10%;
    margin-top: 3%;
    margin-right: 34%;
    color: rgb(17, 17, 17);
    
}

/*HEADER-ASIDE*/
header>aside{
    display: flex;
    justify-content: space-between;
    background-color: rgba(255, 255, 255, 0.9);
}

header>aside>div{
    display: flex;
}

header>aside>:nth-child(1){
    margin-left: 10%;
}


header>aside>:nth-child(1)>img{
    height: 15px;
    width: auto;
    margin: auto;
    padding: 15px;
}

header>aside>:nth-child(2){
    margin-right: 10%;
}

header>aside>:nth-child(2)>img{
    height: 15px;
    width: auto;
    margin: auto;
    margin-left: 20px;
    margin-right: 5px;
    padding: 10px;
}

header>aside>:nth-child(2)>p{
    margin: auto;
    font-size: small;
}

/*HEADER-NAV*/
header>nav{
    display: flex;
    justify-content: space-between;
    text-align: left;
    position: sticky;
    top: 0;
    z-index: 2;
}

header>nav>div>a{
    font-size: large;
}

header>nav>div>a>img{
    height: 40px;
    width: auto;
    margin-bottom: -15px;
    border-top-right-radius: 6px;
}
header>nav>div>div>a>img{
    height: 40px;
    width: auto;
    margin-bottom: -15px;
    border-top-right-radius: 6px;
}


header>nav>:nth-child(1){
    flex: 2;
    display: flex;
    align-items: center;
}

header>nav>:nth-child(1)>a{
    margin-left: 10%;
    font-size: larger;
}

header>nav>:nth-child(1)>a>img{
    height: 70px;
    font-size: 20px;
    padding: auto;
    color: black;
    border-radius: 47%;
}

header>nav>:nth-child(2){
    flex: 4;
    display: flex;
    padding: 2.5%;
    background-color: rgba(255, 255, 255, 0.5);


}

header>nav>:nth-child(2)>div{
    margin-left: 5%;
}

header>nav>:nth-child(2)>div>a{
    text-align: left;
    margin-left: 5%;
    font-size: large;
}

/*DIV.header*/
div.header{
    display: flex;
}

div.header>:nth-child(1){
    flex: 4;
}

div.header>:nth-child(1)>h1{
    width: 100%;
    margin-top: 13%;
	font-size: 3vw;
	color: rgb(230, 230, 230);
}
div.header>:nth-child(2){
    flex: 3;
    height: 97.7%;
	width: 40%;
	margin: 2em;
	margin-right: 0;
	margin-top: 1em;
	margin-bottom: 0;
	padding-bottom: 0;
}

div.header>:nth-child(2)>img{
	height: 90%;
	width: 90%;
	object-fit: cover;
    margin-bottom: -3px;
    padding-bottom: 0;
}


/*FORMATIONS*/
section.formation{
    background: linear-gradient(rgb(180, 180, 180), rgb(240, 240, 240), rgb(240, 240, 240), rgb(180, 180, 180)) ;
    
    overflow: hidden;
}

section.formation>h2{
    margin-top: 0;
}

section.formation>div{
    align-items: center;
    padding: 5%;
    margin-left: 10%;
    margin-right: 10%;
}

section.formation>div>div{
    display: flex;
    justify-content: center;
}

section.formation>div>div>:nth-child(1)>img{
    text-align: end;
}

section.formation>div>div>div{
    display: flex;
    flex: 1;
}

section.formation>div>div>:nth-child(1){
    text-align: end;
    margin-right: 5%;
}

section.formation>div>div>:nth-child(2){
    text-align: start;
    margin-left: 5%;
}

section.formation>div>div>div>img{
    height: 60px;
    width: auto;
    margin: 15px;
}

/*COMPETENCES*/
section.competences{
    background-color: black;
    color: rgb(175, 140, 94);
}

section.competences>h2{
    margin-top: 0;
    color: rgb(212, 201, 171);
    text-align: right;
    width: 90%;
    border-bottom: 4px solid rgb(175, 140, 94) ;
}

section.competences h4{
    margin-top: 0;
    color: rgb(180, 151, 113);
}

section.competences>div{
    display: flex;
    padding-left: 15%;
    padding-right: 15%;
}

section.competences>div>:nth-child(1){
    flex: 1;
    margin: 2%;
    margin-right: 4%;
}

section.competences>div>:nth-child(1)>h4{
    margin-bottom: 0;
    padding-top: 5%;
}

section.competences>div>:nth-child(1)>p{
    margin-top: 0;
    color: rgb(200, 190, 162);
}

section.competences>div>:nth-child(2){
    flex: 1;
    margin: 2%;
    margin-left: 4%;
    margin-bottom: 0;
    padding-bottom: 5%;
}

section.competences>div>:nth-child(2)>h4{
    margin-bottom: 0;
    padding-top: 5%;
    color: rgb(219, 205, 165);
}

section.competences>div>:nth-child(2)>p{
    margin-top: 0;
    margin-bottom: 0;
    color: rgb(192, 165, 129);

}

section.competences>div>:nth-child(2)>div{
    display: flex;
    align-items: center;
    padding: 3px;
    margin: 0;
    margin-top: 12%;
    margin-bottom: 8%;
    background-color: rgb(0, 0, 0);

}

section.competences>div>:nth-child(2)>div>h4{
    width: 90px;
    background-color: rgb(0, 0, 0);
    color: rgb(255, 255, 255);
    padding: 5px;
    margin: 0;
    
}


section.competences>div>:nth-child(2){
    display: block;
}

.progress-bar { 
    width: 70%;
    height: 24px;
    padding: 5px;
    background-color: #000000;
    box-shadow: inset 0 1px 2px #000, 0 1px 0 #000000;
    -webkit-box-shadow: inset 0 1px 2px #000, 0 1px 0 #000000;
    -moz-box-shadow: inset 0 1px 2px #000, 0 1px 0 #000000;
}

.progress-bar:before { 
    content: '';
    display: block;
    width: 40%;
    height: 24px;
    background: #999;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.3), inset 0 -1px 3px rgba(0, 0, 0, 0.4), 0 1px 1px #000;
    -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.3), inset 0 -1px 3px rgba(0, 0, 0, 0.4), 0 1px 1px #000;
    -moz-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.3), inset 0 -1px 3px rgba(0, 0, 0, 0.4), 0 1px 1px #000;
}


/*PROJETS*/
section.projets{
    margin: 0;
    background: linear-gradient(rgb(180, 180, 180), rgb(240, 240, 240), rgb(240, 240, 240), rgb(180, 180, 180)) ;
}

section.projets>h2{
    margin-top: 0;
    text-align: right;
    width: 90%;
    border-bottom: 4px solid black ;
}

section.projets>div{
    padding: 4%;
    padding-top: 5px;

}

section.projets>div>div{
    display: flex;
    justify-content: center;
    padding-top: 2%;
}

section.projets>div>div>article{
    max-width: 300px;
    width: 100%;
    margin: 2%;
    margin-bottom: 0;
    box-sizing: border-box;
    
}

section.projets>div>div>article>img{
    width: 100%;
    margin-bottom: 0;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    
}

section.projets>div>div>article>div{
    text-align: start;
    width: 100%;
    margin-top: -3.5px;
    padding: 20px;
    background-color: rgb(245, 245, 245);
    box-sizing: border-box;
    
}

section.projets>div>div>article>div>h4{
    margin-top: 0;
}

section.projets>div>div>article>div>p{
    margin-bottom: 0;
}

/*A PROPOS*/
section.propos{
    background-color: black;
    color: rgb(212, 201, 171);
}

section.propos>h2{
    margin-top: 0;
    color: rgb(212, 201, 171);
    text-align: right;
    width: 90%;
    border-bottom: 4px solid rgb(180, 151, 113) ;
}
section.propos>h3{
    margin-bottom: 4%;
    font-size: x-large;
    color: rgb(179, 176, 169);
}

section.propos h4{
    margin-top: 0;
    color: rgb(180, 151, 113);
}

section.propos>div{
    display: flex;
    padding-left: 10%;
    padding-right: 10%;
}

section.propos>div>div>p{
    padding-bottom: 4%;
    margin-bottom: 0;
}

section.propos>div>:nth-child(1){
    min-width: 200px;
    flex: 1;
    text-align: start;
}

section.propos>div>:nth-child(2){
    flex: 1;
    text-align: center;
    margin-left: 2em ;
    margin-right:2em ;
}

section.propos>div>:nth-child(2)>img{
    max-height: 500px;
    height: auto;
    width: auto;
    padding-bottom: 5%;
}

section.propos>div>:nth-child(3){
    min-width: 200px;
    flex: 1;
    text-align: start;
}



/*FOOTER*/
footer{
    background-color: rgb(245, 245, 245);
}

footer>div{
    display: flex;
    justify-content: space-between;
}

footer>div>p{
    margin-left: 3%;
    margin-right: 3%;
}



/*OUTIL*/

/*ANIMATION*/


  

/*MEDIA QUERY*/

/*1100 PX*/
@media (max-width: 1100px) { 
    header>nav{
        position: initial;
    }
    #menu{
        display: block;
        height: auto;
        width: auto;
        position: absolute;
        right: 0;
        top: 45px;
        justify-content: none;
        position: fixed;
        z-index: 4;
    }
    #menu>div{
        margin-top: 40%;
        margin-bottom: 40%;
        margin-left: 5%;
    }
    div.header{
        display: block;
        
    }
    div.header>:nth-child(1)>h1{
        width: 50%;
        margin: 3%;
    }
 }

 /*950 PX*/
 @media (max-width: 950px){
    section.formation>div>div{
         display: block;
        }
    section.formation>div{
        margin: 0;
        padding: 10px;
    }
    section.formation>div>div>div{
        padding-bottom: 15%;
    }
    section.formation>div>div>div>img{
        height: 100px;
    }
        /*section.formation p{
            display: none;
        }
        section.formation p:hover{
            display: block;
        }*/
    section.propos>div{
            display: block;
        }
 }

 /*700 PX*/
 @media (max-width: 700px){
     header>aside{
         display: none;
     }
     #menu{
         top: 0;
     }
     section.competences>div{
         display: block;
     }
     section.competences>div>div{
         padding-bottom: 15%;
     }
     
     section.propos>div{
         padding: 15px;
     }
     section.propos>div>:nth-child(2){
         margin: 5px;
     }

 }

/*550 PX*/
 @media (max-width: 550px){

 section.projets>div>div{
    display: block;
}
section.propos>div>:nth-child(2)>img{
    max-height: 300px;
}
footer>div{
    display: none;
}
}